[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TCheckConstraint.ErrorMessage

Message to display when the constraint is violated

## Declaration

Source position: db.pas line 1029

`published property TCheckConstraint.ErrorMessage: String read FErrorMessage write FErrorMessage;`

## Description

ErrorMessage is used as the message when the dataset instance raises an exception if the constraint is violated.

## See also

TCheckConstraint.CustomConstraint |  | User-defined constraint

The latest version of this document can be found at lazarus-ccr.sourceforge.net.